<?php

/**
 * Plugin Name: Clonador de Páginas
 * Plugin URI: https://clonadordepaginas.com.br/
 * Description: Agora você poderá ter qualquer página da internet dentro do seu site WordPress.
 * Version: 3.0.9
 * Author: Mosko Digital
 * Author URI: https://mosko.digital/plugins/
 * Slug: cdp_lang
 * Text Domain: cdp_lang
 * Domain Path: /langs
 */
define('URL_CdP', plugin_dir_url(__FILE__));
define('DIR_CdP', trailingslashit(dirname(__FILE__)));
define('SLUG_CdP', plugin_basename(__FILE__));
define('FILE_CdP', __FILE__);
define('CdP_TUTOR', 'https://clonadordepaginas.com.br/portal-de-apoio/');
define('CdP_BONUS', 'https://clonadordepaginas.com.br/redirecionar-bonus/');
define('CdP_CHANGELOG', 'https://clonadordepaginas.com.br/c/novidades-de-atualizacao/');

if (!function_exists('get_plugin_data')) {
    require_once ABSPATH . 'wp-admin/includes/plugin.php';
}
define('CDP_VERSION', get_plugin_data(__FILE__)['Version']);

if (!class_exists('XboxLoader148', false)) {
    include DIR_CdP . 'framework/xbox/loader.php';
    $loader = new XboxLoader148('1.4.8', 952);
    $loader->init();
}

if (!class_exists('AMManager')) {
    include DIR_CdP . 'framework/am-manager/manager.php';
}
include DIR_CdP . 'framework/am-helpers/helpers.php';
$AMManager = new AMManager(__FILE__, 'clonador_de_paginas_config', 'cdp_active_code', 'cdp_active_email', 'cdp_active_status');

if (!function_exists('clonador_de_paginas_config') || !function_exists('clonador_de_paginas_metabox')) {
    include DIR_CdP . 'panel/functions.php';
    include DIR_CdP . 'panel/page-settings.php';
    include DIR_CdP . 'panel//metabox/import.php';
    include DIR_CdP . 'panel/metabox.php';
}

if (cdp_license_status()) {
    define('CDP_LICENSE_MANAGER_ACCESS', $AMManager->license_manager_access());
    define('CDP_LICENSE_INFORMATION', $AMManager->license_information());
}
