<?php

register_activation_hook(FILE_CdP, function () {
    $pages = new WP_Query([
        'post_type'  => 'page',
        'meta_query' => [
            'relation' => 'AND',
            [
                'key'     => 'cdp_page_active',
                'compare' => '=',
                'value'   => 'on',
            ]],
    ]);

    foreach ($pages->posts as $key => $page) {
        wp_update_post([
            'ID'        => $page->ID,
            'post_type' => 'cdp_pages',
        ]);
    }

    update_option('cdp_permalinks_flushed', 0);
});

add_action('activated_plugin', function ($plugin) {
    if ($plugin == SLUG_CdP) {
        flush_rewrite_rules(true);
        exit(wp_redirect(admin_url('admin.php?page=clonador_de_paginas_config')));
    }
});

register_deactivation_hook(FILE_CdP, function () {
    $AMManager = new AMManager(__FILE__, 'clonador_de_paginas_config', 'cdp_active_code', 'cdp_active_email', 'cdp_active_status');
    $AMManager->license_remove();

    unregister_post_type('cdp_pages');
    update_option('cdp_permalinks_flushed', 0);
});
