<?php

add_action('admin_init', 'cdp_include_scripts');
function cdp_include_scripts()
{
    wp_enqueue_style('noty', 'https://cdnjs.cloudflare.com/ajax/libs/noty/3.1.4/noty.min.css', [], CDP_VERSION);
    wp_enqueue_script('noty', 'https://cdnjs.cloudflare.com/ajax/libs/noty/3.1.4/noty.min.js', [], CDP_VERSION);
    wp_enqueue_script('clipboard', 'https://cdn.jsdelivr.net/npm/clipboard@latest/dist/clipboard.min.js', [], CDP_VERSION);
    wp_add_inline_script('clipboard', "jQuery(document).ready(function($) {
        var clipboard = new ClipboardJS('#clipboard, .clipboard');
        clipboard.on('success', function(e) {
            new Noty({
                type: 'success',
                theme: 'relax',
                layout: 'bottomRight',
                text: 'Copiado com Sucesso!',
                progressBar: false,
                timeout: 4000
            }).show();
        });
    });");
    wp_enqueue_script('introjs', 'https://unpkg.com/intro.js/minified/intro.min.js', [], CDP_VERSION);
    wp_enqueue_style('introjs', 'https://unpkg.com/intro.js/minified/introjs.min.css', [], CDP_VERSION);
    wp_enqueue_style('FiraCode', 'https://fonts.googleapis.com/css2?family=Fira+Code&display=swap', [], CDP_VERSION);
    wp_enqueue_style('pages-cloner', URL_CdP . 'assets/css/style.css', [], CDP_VERSION);
    // wp_enqueue_script('pages-cloner', URL_CdP . 'assets/js/script.js', [], CDP_VERSION);

    if (if_pages_cdp()) {
        wp_enqueue_style('pages-cloner-grid', URL_CdP . '/assets/css/grid.css', [], CDP_VERSION);
        add_thickbox();
    }
}

add_action('admin_head', function () {
    if (if_pages_cdp()) {
        echo '<meta name="userreport:mediaId" value="143e79ac-bf02-4b2c-8c32-957ae28a9f0e"/>';
    }
});

add_action('admin_footer', function () {
    if (if_pages_cdp()) {
        echo "<style></style>";
        echo '<script src="https://sak.userreport.com/mquinadelanamentos/launcher.js" async id="userreport-launcher-script"></script>';
    }
    $screen = get_current_screen();
    echo "<script>
        jQuery('.cdp_url_class input').blur(function() {
            if (!/^http:\/\//.test(this.value) && !/^https:\/\//.test(this.value)) {
                this.value = 'http://' + this.value;
            }
        });
        jQuery('[href=\"cdp_knowledge\"]').attr('target','_blank').attr('href','" . CdP_TUTOR . "');
        jQuery('[href=\"cdp_bonus\"]').attr('target','_blank').attr('href','" . CdP_BONUS . "');
        jQuery('[href=\"cdp_changelog\"]').attr('target','_blank').attr('href','" . CdP_CHANGELOG . "');
    </script>";
});
