<?php

add_action('admin_menu', 'cdp_admin_menu');
function cdp_admin_menu()
{
    add_menu_page(
        __('Clonador<br>de Páginas', 'cdp_lang'),
        __('Clonador<br>de Páginas', 'cdp_lang'),
        'manage_options',
        'pages_cloner_config',
        'cdp_admin_dashboard',
        get_cdp_image('pcdp-logo-mini.svg'),
        20
    );
    add_submenu_page(
        'pages_cloner_config',
        __('Painel de Controle', 'cdp_lang'),
        __('Painel de Controle', 'cdp_lang'),
        'manage_options',
        'pages_cloner_config',
        null,
        0
    );

    add_submenu_page(
        'pages_cloner_config',
        __('Portal de Apoio', 'cdp_lang'),
        __('Portal de Apoio', 'cdp_lang'),
        'manage_options',
        'cdp_knowledge',
        null,
        99
    );
    add_submenu_page(
        'pages_cloner_config',
        __('Bônus', 'cdp_lang'),
        __('Bônus', 'cdp_lang'),
        'manage_options',
        'cdp_bonus',
        null,
        99
    );
    add_submenu_page(
        'pages_cloner_config',
        __('Atualizações', 'cdp_lang'),
        __('Atualizações', 'cdp_lang'),
        'manage_options',
        'cdp_changelog',
        null,
        99
    );
    add_submenu_page(
        'pages_cloner_config',
        __('Suporte', 'cdp_lang'),
        __('Suporte', 'cdp_lang'),
        'manage_options',
        'cdp_support',
        'cdp_admin_support',
        99
    );
    // add_submenu_page('lg_manager', 'Outras Ferramentas', 'Outras Ferramentas', 'manage_options', 'otruo', null, 999);
}

// Topo da página admin
add_action('in_admin_header', 'cdp_menu_screen_header', 100);
function cdp_menu_screen_header()
{
    if (if_pages_cdp()):
    ?>
		<div class="cdp-header-wrap">
			<div class="cdp-header-container cdp-header-info">
				<div class="cdp-header-header">
					<div class="cdp-header-logo">
						<img src="<?php echo get_cdp_image('pcdp-logo-hor-color.svg'); ?>" alt="Notice">
						<div class="cdp-header-logo-subtitle">
							<h3><?php echo __('Clone qualquer página de vendas para o seu WordPress!', 'cdp_lang'); ?></h3>
							<?php if (cdp_license_status()): ?>
								<span><?php echo __('O melhor plugin para clonar, personalizar e ter seus anúncios do Facebook e Google rodando sem bloqueio.', 'cdp_lang'); ?></span>
							<?php else: ?>
								<span><?php echo sprintf(__('Sua licença não está ativa, verifique se há algum erro de digitação ou falta de preenchimento em <a href="%s">Configurações</a>.', 'cdp_lang'), admin_url('admin.php?page=cdp_license_manager')); ?></span>
							<?php endif?>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php
endif;
}

// Actions in Admin Panel
add_action('init', function () {
    $action = data_get($_GET, 'cdp_action', '');
    $post_id = data_get($_GET, 'post_id', '');

    if ( ! cdp_license_status()) {
        add_action('admin_footer', function () {
            $hint_menu = __('Clique aqui para ativar sua Licença', 'cdp_lang');
            $hint_license = __('Insira aqui a sua licença que recebeu no seu email de compra.', 'cdp_lang');
            $hint_email = __('Insira aqui o seu email de compra do plugin.', 'cdp_lang');
            echo "<script>
				introJs().setOptions({
					hintPosition: 'top-right',
					hints: [{
						hint: '$hint_menu',
						element: document.querySelector('[href=\"admin.php?page=clonador_de_paginas_config\"]'),
					}, {
						hint: '$hint_license',
						element: document.querySelector('.xbox-row-id-cdp_active_code'),
					}, {
						hint: '$hint_email',
						element: document.querySelector('.xbox-row-id-cdp_active_email'),
					}]
				}).addHints();
				</script>";
        });
    }

    if ($action == 'active_page' && isset($post_id)) {
        $cdp_status = get_post_meta($post_id, 'cdp_page_active', true);
        if ($cdp_status == 'off') {
            update_post_meta($post_id, 'cdp_page_active', 'on');
        } else {
            update_post_meta($post_id, 'cdp_page_active', 'off');
        }
    }
});
