<?php

add_action('xbox_init', 'cdp_license_manager');
function cdp_license_manager()
{
    $options = array(
        'id'            => 'clonador_de_paginas_config',
        'title'         => '&nbsp;',
        'menu_title'    => __('Licença', 'cdp_lang'),
        'icon'          => get_cdp_image('pcdp-logo-mini.svg'),
        'skin'          => 'lightblue',
        'layout'        => 'boxed',
        'parent'        => 'pages_cloner_config',
        'capability'    => 'manage_options',
        'header'        => array(
            'icon' => '<img src="' . get_cdp_image('pcdp-logo-hor-white.svg') . '" style="display: inline; margin: 0 20px 0 0; vertical-align: middle;">',
            'desc' => __('Com esse plugin é possível que copie uma página qualquer da internet<br>e possa fazer modificações para adaptar conforme a sua necessidade.', 'cdp_lang'),
        ),
        'saved_message' => __('Configurações Salvas!', 'cdp_lang'),
        'reset_message' => __('Configurações Resetadas!', 'cdp_lang'),
        'form_options'  => array(
            'id'                => 'clonador_de_paginas_form',
            'save_button_text'  => __('Salvar Alterações!', 'cdp_lang'),
            'reset_button_text' => __('Redefinir', 'cdp_lang'),
        ),
    );
    $xbox = xbox_new_admin_page($options);

    // Tab Active
    $xbox->add_field(array(
        'id'   => 'title-active',
        'name' => __('Ativação do Plugin', 'cdp_lang'),
        'type' => 'title',
        'desc' => __('Por favor insira o código de ativação que recebeu em seu email, e também o seu email de compra.', 'cdp_lang'),
    ));
    $xbox->open_mixed_field(array('name' => __('Ativação do Plugin:', 'cdp_lang')));
    $xbox->add_field(array(
        'name' => __('Licença:', 'cdp_lang'),
        'id'   => 'cdp_active_code',
        'type' => 'text',
        'grid' => '2-of-6',
    ));
    $xbox->add_field(array(
        'name' => __('Email:', 'cdp_lang'),
        'id'   => 'cdp_active_email',
        'type' => 'text',
        'grid' => '2-of-6',
    ));
    $xbox->add_field(array(
        'name'       => __('Status:', 'cdp_lang'),
        'id'         => 'cdp_active_status',
        'type'       => 'text',
        'grid'       => '1-of-6',
        'attributes' => array(
            'style' => 'pointer-events:none;',
        ),
    ));
    $xbox->close_mixed_field();

    if (cdp_license_status()) {
        flush_rewrite_rules(true);
        $cdp_information = $xbox->add_section(array(
            'name' => __('Informações de Conta:', 'cdp_lang'),
            'id'   => 'cdp_information',
        ));
        $cdp_information->add_field([
            'name'       => __('Nome:', 'cdp_lang'),
            'id'         => 'cdp_client_name',
            'type'       => 'text',
            'grid'       => '2-of-6',
            'default'    => 'Drope (dropestore.com)',
            'attributes' => [
                'value'    => 'aa',
                'disabled' => true,
            ],
        ]);
        $cdp_information->add_field([
            'name'       => __('Número da Transação:', 'cdp_lang'),
            'id'         => 'cdp_client_transation',
            'type'       => 'text',
            'grid'       => '2-of-6',
            'default'    => '19236',
            'attributes' => [
                'disabled' => true,
            ],
        ]);
        $cdp_information->add_field([
            'name'       => __('Data da Compra:', 'cdp_lang'),
            'id'         => 'cdp_client_purchase',
            'type'       => 'text',
            'grid'       => '2-of-6',
            'default'    => date("Y-m-d"),
            'attributes' => [
                'disabled' => true,
            ],
        ]);
        $cdp_information->add_field([
            'name'       => __('Domínio:', 'cdp_lang'),
            'id'         => 'cdp_client_domain',
            'type'       => 'text',
            'grid'       => '2-of-6',
            'default'    => $_SERVER['SERVER_NAME'],
            'attributes' => [
                'disabled' => true,
            ],
        ]);
        $cdp_information->add_field([
            'id'         => 'license_manager',
            'name'       => __('Gerenciador de Licenças', 'cdp_lang'),
            'type'       => 'button',
            'content'    => __('Acessar Gerenciador!', 'cdp_lang'),
            'grid'       => '2-of-6',
            'options'    => [
                'type'  => 'a',
                'color' => 'lightblue',
            ],
            'attributes' => [
                'href'   => CDP_LICENSE_MANAGER_ACCESS,
                'target' => '_blank',
            ],
        ]);
    }
}
