<?php

function cdp_duplicate_post()
{

    global $wpdb;

    if ( ! (isset($_GET['post']) || isset($_POST['post']) || (isset($_REQUEST['action']) && 'cdp_duplicate_post' == $_REQUEST['action']))) {
        wp_die(__('Please select a post to duplicate.', 'kinsta'));
    }

    if ( ! isset($_GET['duplicate_nonce']) || ! wp_verify_nonce($_GET['duplicate_nonce'], basename(__FILE__))) {
        return;
    }

    $post_id = (isset($_GET['post']) ? absint($_GET['post']) : absint($_POST['post']));
    $post = get_post($post_id);

    if (isset($post) && $post != null) {
        $args = array(
            'comment_status' => $post->comment_status,
            'ping_status'    => $post->ping_status,
            'post_author'    => $post->post_author,
            'post_content'   => $post->post_content,
            'post_excerpt'   => $post->post_excerpt,
            'post_name'      => $post->post_name,
            'post_parent'    => $post->post_parent,
            'post_password'  => $post->post_password,
            'post_status'    => 'draft',
            'post_title'     => $post->post_title . ' | ' . __('Página Duplicada', 'cdp_lang'),
            'post_type'      => $post->post_type,
            'to_ping'        => $post->to_ping,
            'menu_order'     => $post->menu_order,
        );

        $new_post_id = wp_insert_post($args);

        $post_metas = $wpdb->get_results("SELECT meta_key, meta_value FROM $wpdb->postmeta WHERE post_id=$post_id");

        if (count($post_metas) != 0) {
            $sql_query = "INSERT INTO $wpdb->postmeta ( post_id, meta_key, meta_value ) ";

            foreach ($post_metas as $post_meta) {
                $meta_key = $post_meta->meta_key;
                if ($meta_key == '_wp_old_slug') {
                    continue;
                }

                $meta_value = addslashes($post_meta->meta_value);
                $sql_query_sel[] = "SELECT $new_post_id, '$meta_key', '$meta_value'";
            }

            $sql_query .= implode(" UNION ALL ", $sql_query_sel);
            $wpdb->query($sql_query);
        }

        $posttype = get_post_type($post_id);
        wp_redirect(admin_url('edit.php?post_type=' . $posttype));
    } else {
        wp_die(__('Post cannot be found. Please select a post to duplicate.', 'kinsta'));
    }
}

add_action('admin_action_cdp_duplicate_post', 'cdp_duplicate_post');

function cdp_duplicate_post_link($actions, $post)
{

    if (get_post_meta($post->ID, 'cdp_page_active', true) == 'on') {
        $actions['duplicate'] = '<a href="' . wp_nonce_url('admin.php?action=cdp_duplicate_post&post=' . $post->ID, basename(__FILE__), 'duplicate_nonce') . '">' . __('Duplicar Página', 'cdp_lang') . '</a>';
    }

    return $actions;
}

add_filter('page_row_actions', 'cdp_duplicate_post_link', 10, 2);
