<?php

add_action('rest_api_init', function () {
    register_rest_route('cdp/v1', '/page-save', array(
        'methods'  => 'POST',
        'callback' => 'cdp_editor_page_sabe',
    ));
});
function cdp_editor_page_sabe($request)
{
    $data = $request->get_params();

    $post_id = $data['post_id'];
    $page_html = $data['page_html'];

    if (isset($post_id) && isset($page_html)) {
        $page_html = preg_replace('/<!-- PCDP EDITOR(.|\s)*?EDITOR END -->/', '', $page_html);

        return new WP_REST_Response([
            'status'   => 200,
            'response' => update_post_meta($post_id, 'cdp_page_html_page', $page_html),
        ]);
    }

    return new WP_REST_Response([
        'status'   => 404,
        'response' => false,
    ]);
}

function cdp_rewrite_active()
{
    flush_rewrite_rules();
}

register_activation_hook(FILE_CdP, 'cdp_rewrite_active');

function cdp_rewrite_deactivation()
{
    flush_rewrite_rules();
}

register_deactivation_hook(FILE_CdP, 'cdp_rewrite_deactivation');
