<?php

add_filter('option_active_plugins', 'cdp_desactive_plugins');

function cdp_desactive_plugins($plugins)
{
    global $pagenow;

    if ($pagenow == 'post.php') {
        if (isset($_GET['post'])) {
            $cdp_page_active = get_post_meta(data_get($_GET, 'post'), 'cdp_page_active', true);
            if ($cdp_page_active == 'on') {
                $opPlugin = array_search('optimizePressPlugin/optimizepress.php', $plugins);
                if (false !== $opPlugin) {
                    unset($plugins[$opPlugin]);
                }
                $opPlus = array_search('optimizePressPlusPack/oppp.php', $plugins);
                if (false !== $opPlus) {
                    unset($plugins[$opPlus]);
                }
            }
        }
    }

    return $plugins;
}

add_action('edit_form_after_editor', function () {
    $getPost = (isset($_GET['post'])) ? $_GET['post'] : null;
    if (get_post_meta($getPost, 'cdp_page_active', true) == 'on') {
        echo '<br><a href="' . get_permalink($getPost) . '?cdp_editor=true" target="_blank" class="cdp_button_editor">
            <img src="' . get_cdp_image('pcdp-logo-mini.svg') . '"> Abrir Editor Visual
        </a>';
    }
});

add_action('xbox_init', 'clonador_de_paginas_metabox');
function clonador_de_paginas_metabox()
{
    if ( ! cdp_license_status()) {
        return;
    }

    $getPost = (isset($_GET['post'])) ? $_GET['post'] : null;

    if ( ! get_post_meta($getPost, '_optimizepress_pagebuilderib2_settings', true)
        && ! get_post_meta($getPost, 'ib2_settings', true)
        && ! get_post_meta($getPost, '_et_pb_use_builder', true)
        && ! get_post_meta($getPost, 'profitbuilder_page_template', true)
    ) {
        $cdp_page_active = get_post_meta($getPost, 'cdp_page_active', true);
        if ($cdp_page_active == 'on') {
            // Remove Divi Scripts
            remove_action('wp_head', 'et_divi_add_customizer_css');
            remove_action('wp_enqueue_scripts', 'et_builder_load_modules_styles', 11);
            remove_action('wp_footer', 'et_pb_maybe_add_advanced_styles');

            wp_deregister_script('optimizepressplus-pack-js-front-all');
            wp_deregister_script('optimizepressplus-pack-js-back-all');
            wp_deregister_style('optimizepressplus-pack-css-front-all');
            wp_deregister_style('optimizepressplus-pack-css-back-all');
            wp_deregister_script('optimizepress-op-jquery-base-all');
            wp_deregister_script('optimizepress-op-front-all');
            wp_deregister_script('optimizepress-op-back-all');
            wp_deregister_script('optimizepress-post-page');
            wp_deregister_script('optimizepress-admin');
            wp_deregister_style('optimizepress-admin-common');
            wp_deregister_style('optimizepress-admin-assets');
            wp_deregister_style('optimizepress-tiny-mce-css');
            wp_deregister_style('optimizepress-dashicons');
            wp_deregister_style('optimizepress-editor-shortcodes-overlay');
        }

        $options = [
            'id'         => 'clonador_de_paginas_metabox',
            'title'      => '&nbsp;',
            'post_types' => ['cdp_pages'],
            'skin'       => 'lightblue',
            'layout'     => 'wide',
            'context'    => 'normal',
            'priority'   => 'high',
            'closed'     => false,
        ];

        $xbox = xbox_new_metabox($options);

        $xbox->add_tab([
            'id'    => 'cdp_metabox_tabs',
            'items' => [
                'settings'      => '<i class="xbox-icon xbox-icon-cogs"></i> ' . __('Config.', 'cdp_lang'),
                'content'       => '<i class="xbox-icon xbox-icon-th"></i> ' . __('Conteúdo', 'cdp_lang'),
                'affiliate'     => '<i class="xbox-icon xbox-icon-group"></i> ' . __('Afiliados', 'cdp_lang'),
                'customization' => '<i class="xbox-icon xbox-icon-cubes"></i> ' . __('Customização', 'cdp_lang'),
                'tools'         => '<i class="xbox-icon xbox-icon-wrench"></i> ' . __('Ferramentas', 'cdp_lang'),
                'advanced'      => '<i class="xbox-icon xbox-icon-codepen"></i> ' . __('Avançado', 'cdp_lang'),
                'cache'         => '<i class="xbox-icon xbox-icon-code"></i> ' . __('Cache', 'cdp_lang'),
                'beta'          => '<i class="xbox-icon xbox-icon-flask"></i> ' . __('Beta', 'cdp_lang'),
            ],
        ]);

        $admin_field = Xbox::get('clonador_de_paginas_config');

        $xbox->open_tab_item('settings');
        cdp_metabox_fields_settings($xbox, $admin_field);
        $xbox->close_tab_item('settings');

        $xbox->open_tab_item('affiliate');
        cdp_metabox_fields_affiliate($xbox, $admin_field);
        $xbox->close_tab_item('affiliate');

        $xbox->open_tab_item('content');
        cdp_metabox_fields_content($xbox, $admin_field);
        $xbox->close_tab_item('content');

        $xbox->open_tab_item('advanced');
        cdp_metabox_fields_advanced($xbox, $admin_field);
        $xbox->close_tab_item('advanced');

        $xbox->open_tab_item('customization');
        cdp_metabox_fields_customization($xbox, $admin_field);
        $xbox->close_tab_item('customization');

        $xbox->open_tab_item('tools');
        cdp_metabox_fields_tools($xbox, $admin_field);
        $xbox->close_tab_item('tools');

        $xbox->open_tab_item('cache');
        cdp_metabox_fields_cache($xbox, $admin_field);
        $xbox->close_tab_item('cache');

        $xbox->open_tab_item('beta');
        cdp_metabox_fields_beta($xbox, $admin_field);
        $xbox->close_tab_item('beta');
    } else {
        update_post_meta($getPost, 'cdp_page_active', 'off');
    }
}
