<?php

function cdp_metabox_fields_advanced($xbox, $admin_field)
{
    $xbox->add_field([
        'id'   => 'advanced-title',
        'name' => __('Configurações Avançadas', 'cdp_lang'),
        'desc' => __('Recursos utilizados para buscar corrigir a quebra de elementos visuais na página ou a falta de alguns elementos/ícones.', 'cdp_lang'),
        'type' => 'title',
    ]);
    $xbox->open_mixed_field([
        'name' => __('Endereço Base:', 'cdp_lang'),
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_url_base_status',
        'name'    => __('Habilitar?', 'cdp_lang'),
        'type'    => 'switcher',
        'default' => 'off',
        'grid'    => '1-of-6',
    ]);
    $xbox->add_field([
        'id'          => 'cdp_page_url_base',
        'name'        => __('Endereço Base (URL):', 'cdp_lang'),
        'type'        => 'text',
        'grid'        => '5-of-6 last',
        'options'     => [
            'show_if' => ['cdp_page_url_base_status', '=', 'on'],
            'icon'    => '<i class="xbox-icon xbox-icon-link"></i>',
        ],
        'field_class' => "cdp_url_class",
    ]);
    $xbox->close_mixed_field();
    $xbox->open_mixed_field([
        'name' => __('Proxy SSL:', 'cdp_lang'),
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_proxy_status',
        'name'    => __('Habilitar?', 'cdp_lang'),
        'type'    => 'switcher',
        'default' => 'off',
        'grid'    => '1-of-6',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_proxy_desc',
        'name'    => __('Sobre o Proxy:', 'cdp_lang'),
        'type'    => 'html',
        'grid'    => '5-of-6 last',
        'content' => __('O Proxy serve para ajudar você que tem um site com SSL (https://), porém a página que deseja clonar não tem. Nesse caso, ativando o plugin irá tentar converter o site clonado para que possa utilizar com SSL.
                        <br><br>
                        <strong style="color:#E42B04">ATENÇÃO:</strong> Esse recurso pode fazer com que alguns elementos da sua página possa ser quebrados no momento da conversão, ou até mesmo não carregue.', 'cdp_lang'),
    ]);
    $xbox->close_mixed_field();

    $settings_tutorials = $xbox->add_section(['name' => __('Tutoriais de Utilização', 'cdp_lang')]);
    $settings_tutorials->open_mixed_field(['name' => __('', 'cdp_lang')]);
    $settings_tutorials->add_field([
        'id'      => rand(),
        'name'    => __('', 'cdp_lang'),
        'type'    => 'html',
        'content' => player_video('xfFOG5_kpLU', 'youtube'),
        'grid'    => '3-of-6',
    ]);
    $settings_tutorials->close_mixed_field();
}
