<?php

function cdp_metabox_fields_affiliate($xbox, $admin_field)
{
    $xbox->add_field([
        'id'   => 'affiliate-title',
        'name' => __('Recursos para Afiliados', 'cdp_lang'),
        'type' => 'title',
        'desc' => __('Aqui você encontra alguns recursos importantes para se trabalhar como afiliado divulgando um produto em sua estrutura.', 'cdp_lang'),
    ]);
    $xbox->open_mixed_field([
        'name' => __('Aviso de Utilização de Cookie:', 'cdp_lang'),
        'desc' => __('Recurso para que possa informar ao visitante sobre a utilização de cookie ao acessar a página.
                     <br>
                     Recomendado informar sobre a utilização de cookie. Essa informação é de suma importância para sua proteção, em caso de divulgação de produtos internacionais.', 'cdp_lang'),
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_aff_alert',
        'name'    => __('Habilitar?', 'cdp_lang'),
        'type'    => 'switcher',
        'default' => 'off',
        'grid'    => '1-of-6',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_aff_btn_text',
        'name'    => __('Botão - Texto:', 'cdp_lang'),
        'type'    => 'text',
        'default' => __('Obrigado!', 'cdp_lang'),
        'options' => [
            'show_if' => ['cdp_page_aff_alert', '=', 'on'],
        ],
        'grid'    => '1-of-6',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_aff_btn_color',
        'name'    => __('Botão - Cor de Fundo:', 'cdp_lang'),
        'type'    => 'colorpicker',
        'default' => '#00AA8C',
        'options' => [
            'show_if' => ['cdp_page_aff_alert', '=', 'on'],
        ],
        'grid'    => '1-of-6',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_aff_text',
        'name'    => __('Corpo - Texto de Mensagem:', 'cdp_lang'),
        'type'    => 'text',
        'default' => __('Este site usa cookies para garantir que você obtenha uma melhor experiência.', 'cdp_lang'),
        'options' => [
            'show_if' => ['cdp_page_aff_alert', '=', 'on'],
        ],
        'grid'    => '3-of-6 last',
    ]);
    $xbox->close_mixed_field();

    $xbox->open_mixed_field([
        'name' => __('Cookie Oculto / Marcação Invisível:', 'cdp_lang'),
        'desc' => __('<span style="color: #E42B04"><b>ATENÇÃO:</b> Devido as novas políticas de segurança e proteção de dados mundiais, esse recurso pode não funcionar mais em alguns navegadores e a partir de fevereiro de 2021, de todos os navegadores. Recomendamos a utilização de substituição do link original do checkout pelo seu link como afiliado.</span>
                     <br>
                     Recurso para que possa marcar o seu cookie de afiliado, ou seja, marcador de indicação ao acessar a página.
                     <br>
                     Recomendado informar uma URL que seja do Checkout ou que não contenha nenhum vídeo, para que possa ser carregado mais rapidamente.', 'cdp_lang'),
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_aff_url_status',
        'name'    => __('Habilitar?', 'cdp_lang'),
        'type'    => 'switcher',
        'default' => 'off',
        'grid'    => '1-of-6',
    ]);
    $xbox->add_field([
        'id'          => 'cdp_page_aff_url',
        'name'        => __('URL com Marcador de Cookie:', 'cdp_lang'),
        'type'        => 'text',
        'attributes'  => [
            'placeholder' => __('https://pay.hotmart.com/checkout...', 'cdp_lang'),
        ],
        'field_class' => "cdp_url_class",
        'options'     => [
            'show_if' => ['cdp_page_aff_url_status', '=', 'on'],
            'icon'    => '<i class="xbox-icon xbox-icon-link"></i>',
        ],
        'repeatable'  => true,
        'grid'        => '5-of-6 last',
    ]);
    $xbox->close_mixed_field();

    $xbox->open_mixed_field([
        'name' => __('Back Redirect / Redirecionamento ao Voltar:', 'cdp_lang'),
        'desc' => __('Recurso para que possa forçar o visitante a acessar uma outra página ao apertar no botão de voltar do seu navegador. Possibilitando uma oferta complementar.', 'cdp_lang'),
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_aff_br',
        'name'    => __('Habilitar?', 'cdp_lang'),
        'type'    => 'switcher',
        'default' => 'off',
        'grid'    => '1-of-6',
    ]);
    $xbox->add_field([
        'id'          => 'cdp_page_aff_br_url',
        'name'        => __('Endereço para Redirecionamento (URL):', 'cdp_lang'),
        'type'        => 'text',
        'attributes'  => [
            'placeholder' => __('https://url-redirecionar.com/', 'cdp_lang'),
        ],
        'field_class' => "cdp_url_class",
        'options'     => [
            'show_if' => ['cdp_page_aff_br', '=', 'on'],
            'icon'    => '<i class="xbox-icon xbox-icon-link"></i>',
        ],
        'grid'        => '5-of-6 last',
    ]);
    $xbox->close_mixed_field();

    $xbox->open_mixed_field([
        'name' => __('Passagem de Parâmetros de URL:', 'cdp_lang'),
        'desc' => __('Recurso que permite a página identificar os paramêtros nas URL e realizar a passagem desses itens para todos os links da página.', 'cdp_lang'),
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_aff_p_url',
        'name'    => __('Habilitar?', 'cdp_lang'),
        'type'    => 'switcher',
        'default' => $admin_field->get_field_value('cdp_page_aff_p_url'),
        'grid'    => '5-of-6 last',
    ]);
    $xbox->close_mixed_field();

    $settings_tutorials = $xbox->add_section(['name' => __('Tutoriais de Utilização', 'cdp_lang')]);
    $settings_tutorials->open_mixed_field(['name' => __('', 'cdp_lang')]);
    $settings_tutorials->add_field([
        'id'      => rand(),
        'name'    => __('', 'cdp_lang'),
        'type'    => 'html',
        'content' => player_video('kWMpkUx1AQE', 'youtube'),
        'grid'    => '3-of-6',
    ]);
    $settings_tutorials->close_mixed_field();
}
