<?php

function cdp_metabox_fields_cache($xbox, $admin_field)
{
    $xbox->add_field([
        'id'   => 'cache-title',
        'name' => __('Cache de Página em HTML', 'cdp_lang'),
        'type' => 'title',
        'desc' => __('Aqui pode ver o HTML da página original, para que possa modificar diretamente na estrutura, ou até mesmo atualizar.', 'cdp_lang'),
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_html_save',
        'name'    => __('Salvar HTML?', 'cdp_lang'),
        'type'    => 'switcher',
        'desc'    => __('Ativando esse recurso, na próxima vez que a sua página for carregada, será salvo um Cache HTML da página clonada.', 'cdp_lang'),
        'default' => $admin_field->get_field_value('cdp_page_html_save'),
        'grid'    => '1-of-6',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_html_update',
        'name'    => __('Atualizar Cache HTML?', 'cdp_lang'),
        'type'    => 'switcher',
        'desc'    => __('Ativando esse recurso, na próxima vez que a sua página for carregada, será feito a atualização do Cache HTML da página clonada.', 'cdp_lang'),
        'default' => $admin_field->get_field_value('cdp_page_html_update'),
        'grid'    => '1-of-6 last',
        'options' => [
            'show_if' => ['cdp_page_html_page', '!=', ''],
        ],
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_html_page',
        'name'    => __('HTML da Página Original:', 'cdp_lang'),
        'type'    => 'code_editor',
        'desc'    => __('<b>Obs.:</b> Esse é o HTML da Página Original.', 'cdp_lang'),
        'options' => [
            'language' => 'html',
            'theme'    => 'chrome',
            'height'   => '500px',
        ],
    ]);
}
