<?php

function cdp_metabox_fields_content($xbox, $admin_field)
{
    $xbox->add_field([
        'id'   => 'content-title',
        'name' => __('Edição e Substituição de Conteúdos', 'cdp_lang'),
        'type' => 'title',
        'desc' => __('Aqui você poderá ajustar os conteúdos da sua página, para que possa substituir ou alterar os conteúdos da página original.', 'cdp_lang'),
    ]);
    $replace = $xbox->add_group([
        'id'       => 'cdp_page_contents',
        'name'     => __('Lista de Substituição', 'cdp_lang'),
        'options'  => [
            'add_item_text' => __('Nova Substituição', 'cdp_lang'),
        ],
        'controls' => [
            'name'          => __('Substituição #', 'cdp_lang'),
            'readonly_name' => false,
        ],
    ]);
    $replace->add_field([
        'id'         => 'cdp_content_input',
        'name'       => __('Conteúdo da Página:', 'cdp_lang'),
        'type'       => 'textarea',
        'desc'       => __('Esse é um campo HTML, logo para substituições simples, basta inserir o conteúdo puro, e em caso de substituições avançadas, insira o HTML completo da página original.', 'cdp_lang'),
        'attributes' => [
            'rows'  => 4,
            'style' => 'font-family: "Fira Code", monospace;',
        ],
    ]);
    $replace->add_field([
        'id'         => 'cdp_content_output',
        'name'       => __('HTML do Novo Conteúdo:', 'cdp_lang'),
        'type'       => 'textarea',
        'desc'       => __('Igualmente ao campo anterior, o seu conteúdo precisa seguir a mesma estrutura do campo acima, para que não haja quebra visual.', 'cdp_lang'),
        'attributes' => [
            'rows'  => 4,
            'style' => 'font-family: "Fira Code", monospace;',
        ],
    ]);

    $settings_tutorials = $xbox->add_section(['name' => __('Tutoriais de Utilização', 'cdp_lang')]);
    $settings_tutorials->open_mixed_field(['name' => __('', 'cdp_lang')]);
    $settings_tutorials->add_field([
        'id'      => rand(),
        'name'    => __('', 'cdp_lang'),
        'type'    => 'html',
        'content' => player_video('35kkpHdI8Po', 'youtube'),
        'grid'    => '3-of-6',
    ]);
    $settings_tutorials->add_field([
        'id'      => rand(),
        'name'    => __('', 'cdp_lang'),
        'type'    => 'html',
        'content' => player_video('BRkszeHac2c', 'youtube'),
        'grid'    => '3-of-6 last',
    ]);
    $settings_tutorials->close_mixed_field();
}
