<?php

function cdp_metabox_fields_customization($xbox, $admin_field)
{
    $xbox->add_field([
        'id'   => 'customization-title',
        'name' => __('Customização e Rastreamentos', 'cdp_lang'),
        'type' => 'title',
        'desc' => __('Aqui você poderá definir os seus códigos de rastreamentos e também personalizar o visual da página como desejar.', 'cdp_lang'),
    ]);
    $xbox->open_mixed_field([
        'name' => __('Códigos de Rastreamentos:', 'cdp_lang'),
    ]);
    $xbox->add_field([
        'id'         => 'cdp_page_ga',
        'name'       => __('Google Analytics:', 'cdp_lang'),
        'type'       => 'text',
        'default'    => $admin_field->get_field_value('cdp_config_geral_ga'),
        'attributes' => [
            'placeholder' => 'UA-12345-6',
        ],
        'options'    => [
            'icon' => '<i class="xbox-icon xbox-icon-google"></i>',
        ],
        'grid'       => '2-of-8',
    ]);
    $xbox->add_field([
        'id'         => 'cdp_page_gtm',
        'name'       => __('Google Tag Manager:', 'cdp_lang'),
        'type'       => 'text',
        'default'    => $admin_field->get_field_value('cdp_config_geral_gtm'),
        'attributes' => [
            'placeholder' => 'GTM-ABC1234',
        ],
        'options'    => [
            'icon' => '<i class="xbox-icon xbox-icon-google"></i>',
        ],
        'grid'       => '2-of-8',
    ]);
    $xbox->add_field([
        'id'         => 'cdp_page_pfb',
        'name'       => __('Pixel do Facebook:', 'cdp_lang'),
        'type'       => 'text',
        'default'    => $admin_field->get_field_value('cdp_config_geral_pfb'),
        'attributes' => [
            'placeholder' => "1029384756102938",
        ],
        'options'    => [
            'icon' => '<i class="xbox-icon xbox-icon-facebook"></i>',
        ],
        'grid'       => '2-of-8',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_pfb_event',
        'name'    => __('Eventos do Facebook:', 'cdp_lang'),
        'type'    => 'select',
        'default' => $admin_field->get_field_value('cdp_page_pfb_event'),
        'items'   => [
            ''                     => __('Nenhum', 'cdp_lang'),
            'custom'               => __('Personalizado', 'cdp_lang'),
            'Search'               => 'Search',
            'ViewContent'          => 'ViewContent',
            'AddToCart'            => 'AddToCart',
            'AddTooWishlist'       => 'AddTooWishlist',
            'InitiateCheckout'     => 'InitiateCheckout',
            'AddPaymentInfo'       => 'AddPaymentInfo',
            'Purchase'             => 'Purchase',
            'Lead'                 => 'Lead',
            'CompleteRegistration' => 'CompleteRegistration',
        ],
        'grid'    => '2-of-8 last',
        'options' => [
            'search' => true,
        ],
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_pfb_event_custom',
        'name'    => __('Evento Personalizado', 'cdp_lang'),
        'type'    => 'code_editor',
        'default' => 'fbq("track",' . "\n\t" . '"<EVENT_NAME>"' . "\n" . ');',
        'options' => [
            'show_if'  => ['cdp_page_pfb_event', '=', __('custom', 'cdp_lang')],
            'language' => 'javascript',
            'theme'    => 'chrome',
            'height'   => '100px',
        ],
        'grid'    => '8-of-8 last',
    ]);
    $xbox->close_mixed_field();

    $xbox->add_field([
        'id'      => 'cdp_page_fontawesome',
        'name'    => __('Fonte de Ícone', 'cdp_lang'),
        'desc'    => __('Ative esse recurso quando a página clonada aparece com os ícones quebrados ao clonar.', 'cdp_lang'),
        'type'    => 'switcher',
        'default' => 'off',
        'grid'    => '1-of-6',
    ]);

    $xbox->add_field([
        'id'      => 'cdp_page_favicon',
        'name'    => __('Ícone da Página (Favicon):', 'cdp_lang'),
        'type'    => 'file',
        'default' => $admin_field->get_field_value('cdp_page_favicon'),
        'desc'    => __('<b>Obs.:</b> Você pode fazer o upload de uma imagem no formato <code>.png</code> somente.', 'cdp_lang'),
        'options' => [
            'mime_types' => ['png'],
        ],
    ]);

    $xbox->open_mixed_field([
        'name' => __('Customização:', 'cdp_lang'),
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_css',
        'name'    => __('CSS:', 'cdp_lang'),
        'type'    => 'code_editor',
        'desc'    => __('<b>Obs.:</b> Não é preciso realizar a abertura da tag &lt;style&gt;', 'cdp_lang'),
        'options' => [
            'language' => 'css',
            'theme'    => 'chrome',
            'height'   => '100px',
        ],
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_js',
        'name'    => __('JavaScript:', 'cdp_lang'),
        'type'    => 'code_editor',
        'desc'    => __('<b>Obs.:</b> Não é preciso realizar a abertura da tag &lt;script&gt;', 'cdp_lang'),
        'options' => [
            'language' => 'javascript',
            'theme'    => 'chrome',
            'height'   => '100px',
        ],
    ]);
    $xbox->close_mixed_field();

    $xbox->open_mixed_field([
        'name' => __('Códigos para Cabeçalho e Rodapé:', 'cdp_lang'),
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_head',
        'name'    => __('Cabeçalho:', 'cdp_lang'),
        'type'    => 'code_editor',
        'default' => $admin_field->get_field_value('cdp_config_geral_head'),
        'desc'    => __('<b>Obs.:</b> Esse HTML será adicionado antes da tag &lt;head&gt; ser fechada', 'cdp_lang'),
        'options' => [
            'language' => 'html',
            'theme'    => 'chrome',
            'height'   => '100px',
        ],
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_footer',
        'name'    => __('Rodapé:', 'cdp_lang'),
        'type'    => 'code_editor',
        'default' => $admin_field->get_field_value('cdp_config_geral_footer'),
        'desc'    => __('<b>Obs.:</b> Esse HTML será adicionado antes da tag &lt;body&gt; ser fechada', 'cdp_lang'),
        'options' => [
            'language' => 'html',
            'theme'    => 'chrome',
            'height'   => '100px',
        ],
    ]);
    $xbox->close_mixed_field();

    $settings_tutorials = $xbox->add_section(['name' => __('Tutoriais de Utilização', 'cdp_lang')]);
    $settings_tutorials->open_mixed_field(['name' => __('', 'cdp_lang')]);
    $settings_tutorials->add_field([
        'id'      => rand(),
        'name'    => __('', 'cdp_lang'),
        'type'    => 'html',
        'content' => player_video('OB-LhgNjgq4', 'youtube'),
        'grid'    => '3-of-6',
    ]);
    $settings_tutorials->close_mixed_field();
}
