<?php

function cdp_metabox_fields_settings($xbox, $admin_field)
{
    $xbox->add_field([
        'id'   => 'settings-title',
        'name' => __('Ativação do Clonador', 'cdp_lang'),
        'type' => 'title',
        'desc' => __('Aqui você poderá realizar a ativação do Plugin Clonador de Páginas e definir qual a página que deseja clonar.', 'cdp_lang'),
    ]);
    $xbox->add_field([
        'id'      => 'cdp_page_active',
        'name'    => __('Ativar Clonador?', 'cdp_lang'),
        'type'    => 'switcher',
        'default' => 'on',
    ]);
    $xbox->add_field([
        'id'          => 'cdp_page_url',
        'name'        => __('Página a Ser Clonada (URL):', 'cdp_lang'),
        'type'        => 'text',
        'desc'        => __('Insira aqui a URL da página que deseja clonar, lembrando de colocar a URL Completa (com http:// ou https://).', 'cdp_lang'),
        'attributes'  => [
            'placeholder' => "http://google.com/",
        ],
        'field_class' => "cdp_url_class",
        'options'     => [
            'icon' => '<i class="xbox-icon xbox-icon-link"></i>',
        ],
    ]);

    $settings_tutorials = $xbox->add_section(['name' => __('Tutoriais de Utilização', 'cdp_lang')]);
    $settings_tutorials->open_mixed_field(['name' => __('', 'cdp_lang')]);
    $settings_tutorials->add_field([
        'id'      => rand(),
        'name'    => __('', 'cdp_lang'),
        'type'    => 'html',
        'content' => player_video('AxwCiClIl1s', 'youtube'),
        'grid'    => '3-of-6',
    ]);
    $settings_tutorials->add_field([
        'id'      => rand(),
        'name'    => __('', 'cdp_lang'),
        'type'    => 'html',
        'content' => player_video('XXHdu-6Nq4Y', 'youtube'),
        'grid'    => '3-of-6',
    ]);
    $settings_tutorials->close_mixed_field();
}
