<?php

function cdp_metabox_fields_tools($xbox, $admin_field)
{
    $xbox->add_field([
        'id'   => 'tools-title',
        'name' => __('Ferramentas e Recursos Especiais', 'cdp_lang'),
        'type' => 'title',
        'desc' => __('Aqui você terá algumas ferramentas que poderão potencializar ainda mais a sua página.', 'cdp_lang'),
    ]);

    $xbox->open_mixed_field([
        'name' => __('Popup e Exit Intent:', 'cdp_lang'),
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_config_status',
        'name'    => __('Status:', 'cdp_lang'),
        'type'    => 'switcher',
        'default' => 'false',
        'options' => [
            'on_value'  => 'true',
            'off_value' => 'false',
        ],
        'grid'    => '1-of-8',
    ]);

    $xbox->add_field([
        'id'      => 'tools-popup-content',
        'name'    => __('Configurações', 'cdp_lang'),
        'desc'    => __('<b>Tempo:</b> Se o tipo for Popup, o delay será o tempo até que apareça, se não, será o tempo de espera até tentar sair da página.
                      <br>
                      <b>Cookie:</b> O Exit Pop Up só irá aparecer se definido como <code>0</code> para sempre exibit ou uma vez após os dias definido.', 'cdp_lang'),
        'type'    => 'title',
        'options' => [
            'show_if' => ['cdp_exit_config_status', '=', 'true'],
        ],
        'grid'    => '7-of-8 last',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_config_show',
        'name'    => __('Tipo:', 'cdp_lang'),
        'type'    => 'select',
        'default' => 'false',
        'items'   => [
            'true'  => __('Popup', 'cdp_lang'),
            'false' => __('Exit Popup', 'cdp_lang'),
        ],
        'options' => [
            'show_if' => ['cdp_exit_config_status', '=', 'true'],
        ],
        'grid'    => '2-of-6',
    ]);
    $xbox->add_field([
        'id'         => 'cdp_exit_config_delay',
        'name'       => __('Tempo:', 'cdp_lang'),
        'type'       => 'number',
        'default'    => '5',
        'options'    => [
            'unit'      => 'seg',
            'show_unit' => true,
            'show_if'   => ['cdp_exit_config_status', '=', 'true'],
        ],
        'attributes' => [
            'min' => 0,
        ],
        'grid'       => '1-of-6',
    ]);
    $xbox->add_field([
        'id'         => 'cdp_exit_config_cookie',
        'name'       => __('Cookie:', 'cdp_lang'),
        'type'       => 'number',
        'default'    => '0',
        'options'    => [
            'unit'      => __('dias', 'cdp_lang'),
            'show_unit' => true,
            'show_if'   => ['cdp_exit_config_status', '=', 'true'],
        ],
        'attributes' => [
            'min' => 0,
        ],
        'grid'       => '1-of-6',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_btn1_status',
        'name'    => __('Ativar Botão 1', 'cdp_lang'),
        'type'    => 'switcher',
        'default' => 'off',
        'grid'    => '1-of-6',
        'options' => [
            'show_if' => ['cdp_exit_config_status', '=', 'true'],
        ],
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_btn2_status',
        'name'    => __('Ativar Botão 2', 'cdp_lang'),
        'type'    => 'switcher',
        'default' => 'off',
        'grid'    => '1-of-6 last',
        'options' => [
            'show_if' => ['cdp_exit_config_status', '=', 'true'],
        ],
    ]);

    // Conteúdo
    $xbox->add_field([
        'id'      => 'tools-popup-content',
        'name'    => __('Conteúdo', 'cdp_lang'),
        'desc'    => __('Aqui você pode preencher os conteúdos que deseja mostrar na janela do Popup/Exit Popup', 'cdp_lang'),
        'type'    => 'title',
        'options' => [
            'show_if' => ['cdp_exit_config_status', '=', 'true'],
        ],
        'grid'    => '6-of-6 last',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_content_image',
        'name'    => __('Imagem:', 'cdp_lang'),
        'type'    => 'file',
        'options' => [
            'mime_types' => ['jpg', 'jpeg', 'png', 'gif'],
            'show_if'    => ['cdp_exit_config_status', '=', 'true'],
        ],
        'grid'    => '6-of-6 last',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_content_title',
        'name'    => __('Título:', 'cdp_lang'),
        'type'    => 'text',
        'grid'    => '3-of-6',
        'options' => [
            'show_if' => ['cdp_exit_config_status', '=', 'true'],
        ],
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_content_subtitle',
        'name'    => __('Subtítulo:', 'cdp_lang'),
        'type'    => 'text',
        'grid'    => '3-of-6 last',
        'options' => [
            'show_if' => ['cdp_exit_config_status', '=', 'true'],
        ],
    ]);
    $xbox->add_field([
        'id'      => 'tools-popup-style',
        'name'    => __('Customização', 'cdp_lang'),
        'desc'    => __('Aqui você customizar o visual do seu popup, alterando e deixando com o visual que quiser.', 'cdp_lang'),
        'type'    => 'title',
        'options' => [
            'show_if' => ['cdp_exit_config_status', '=', 'true'],
        ],
        'grid'    => '6-of-6 last',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_css_bg',
        'name'    => __('Cor de Fundo:', 'cdp_lang'),
        'type'    => 'colorpicker',
        'default' => '#FFFFFF',
        'grid'    => '2-of-8',
        'options' => [
            'show_if' => ['cdp_exit_config_status', '=', 'true'],
        ],
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_css_title',
        'name'    => __('Cor do Título:', 'cdp_lang'),
        'type'    => 'colorpicker',
        'default' => '#F49A36',
        'grid'    => '2-of-8',
        'options' => [
            'show_if' => ['cdp_exit_config_status', '=', 'true'],
        ],
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_css_subtitle',
        'name'    => __('Cor do Subtítulo:', 'cdp_lang'),
        'type'    => 'colorpicker',
        'default' => '#2C3E4F',
        'grid'    => '2-of-8',
        'options' => [
            'show_if' => ['cdp_exit_config_status', '=', 'true'],
        ],
    ]);
    $xbox->add_field([
        'id'         => 'cdp_exit_css_border',
        'name'       => __('Arredontamento:', 'cdp_lang'),
        'type'       => 'number',
        'default'    => 4,
        'grid'       => '2-of-8 last',
        'attributes' => [
            'min'       => 0,
            'precision' => 0,
        ],
        'options'    => [
            'show_if' => ['cdp_exit_config_status', '=', 'true'],
        ],
    ]);

    $xbox->add_field([
        'id'      => 'tools-popup-button-1',
        'name'    => __('Botão #01', 'cdp_lang'),
        'desc'    => __('Aqui você pode configurar e personalizar o primeiro botão do Popup.', 'cdp_lang'),
        'type'    => 'title',
        'options' => [
            'show_if' => ['cdp_exit_btn1_status', '=', 'on'],
        ],
        'grid'    => '6-of-6 last',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_content_btn_text',
        'name'    => __('Texto do Botão:', 'cdp_lang'),
        'type'    => 'text',
        'grid'    => '4-of-8',
        'options' => [
            'show_if' => ['cdp_exit_btn1_status', '=', 'on'],
        ],
    ]);
    $xbox->add_field([
        'id'          => 'cdp_exit_content_btn_link',
        'name'        => __('Link do Botão:', 'cdp_lang'),
        'type'        => 'text',
        'options'     => [
            'icon'    => '<i class="xbox-icon xbox-icon-link"></i>',
            'show_if' => ['cdp_exit_btn1_status', '=', 'on'],
        ],
        'field_class' => "cdp_url_class",
        'grid'        => '4-of-8 last',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_content_btn_link_type',
        'name'    => __('Abrir Link em:', 'cdp_lang'),
        'type'    => 'select',
        'default' => '_self',
        'items'   => [
            '_blank' => __('Nova Aba', 'cdp_lang'),
            '_self'  => __('Mesma Aba', 'cdp_lang'),
        ],
        'options' => [
            'show_if' => ['cdp_exit_btn1_status', '=', 'on'],
        ],
        'grid'    => '2-of-6',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_css_btn_bg',
        'name'    => __('Cor do Fundo do Botão:', 'cdp_lang'),
        'type'    => 'colorpicker',
        'default' => '#00BD9E',
        'grid'    => '2-of-6',
        'options' => [
            'show_if' => ['cdp_exit_btn1_status', '=', 'on'],
        ],
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_css_btn_text',
        'name'    => __('Cor do Texto do Botão:', 'cdp_lang'),
        'type'    => 'colorpicker',
        'default' => '#FFFFFF',
        'grid'    => '2-of-6 last',
        'options' => [
            'show_if' => ['cdp_exit_btn1_status', '=', 'on'],
        ],
    ]);

    $xbox->add_field([
        'id'      => 'tools-popup-button-2',
        'name'    => __('Botão #02', 'cdp_lang'),
        'desc'    => __('Aqui você pode configurar e personalizar o segundo botão do Popup.', 'cdp_lang'),
        'type'    => 'title',
        'options' => [
            'show_if' => ['cdp_exit_btn2_status', '=', 'on'],
        ],
        'grid'    => '6-of-6 last',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_content_btn2_text',
        'name'    => __('Texto do Botão:', 'cdp_lang'),
        'type'    => 'text',
        'grid'    => '4-of-8',
        'options' => [
            'show_if' => ['cdp_exit_btn2_status', '=', 'on'],
        ],
    ]);
    $xbox->add_field([
        'id'          => 'cdp_exit_content_btn2_link',
        'name'        => __('Link do Botão:', 'cdp_lang'),
        'type'        => 'text',
        'options'     => [
            'icon'    => '<i class="xbox-icon xbox-icon-link"></i>',
            'show_if' => ['cdp_exit_btn2_status', '=', 'on'],
        ],
        'field_class' => "cdp_url_class",
        'grid'        => '4-of-8 last',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_content_btn2_link_type',
        'name'    => __('Abrir Link em:', 'cdp_lang'),
        'type'    => 'select',
        'default' => '_self',
        'items'   => [
            '_blank' => __('Nova Aba', 'cdp_lang'),
            '_self'  => __('Mesma Página', 'cdp_lang'),
        ],
        'options' => [
            'show_if' => ['cdp_exit_btn2_status', '=', 'on'],
        ],
        'grid'    => '2-of-6',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_css_btn2_bg',
        'name'    => __('Cor do Fundo do Botão:', 'cdp_lang'),
        'type'    => 'colorpicker',
        'default' => '#c0392b',
        'grid'    => '2-of-6',
        'options' => [
            'show_if' => ['cdp_exit_btn2_status', '=', 'on'],
        ],
    ]);
    $xbox->add_field([
        'id'      => 'cdp_exit_css_btn2_text',
        'name'    => __('Cor do Texto do Botão:', 'cdp_lang'),
        'type'    => 'colorpicker',
        'default' => '#ffffff',
        'grid'    => '2-of-6 last',
        'options' => [
            'show_if' => ['cdp_exit_btn2_status', '=', 'on'],
        ],
    ]);
    $xbox->close_mixed_field();

    // WhatsApp
    $xbox->open_mixed_field([
        'name' => __('WhatsApp - Botão de Contato:', 'cdp_lang'),
    ]);
    $xbox->add_field([
        'id'      => 'cdp_tools_wpp_status',
        'name'    => __('Status:', 'cdp_lang'),
        'type'    => 'switcher',
        'default' => 'false',
        'options' => [
            'on_value'  => 'true',
            'off_value' => 'false',
        ],
        'grid'    => '1-of-8',
    ]);

    $xbox->add_field([
        'id'         => 'cdp_tools_wpp_number',
        'name'       => __('Número de Telefone:', 'cdp_lang'),
        'type'       => 'text',
        'options'    => [
            'icon'    => '<i class="xbox-icon xbox-icon-phone"></i>',
            'show_if' => ['cdp_tools_wpp_status', '=', 'true'],
        ],
        'attributes' => [
            'placeholder' => '5511988776655',
        ],
        'grid'       => '2-of-8',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_tools_wpp_name',
        'name'    => __('Nome do Atendente:', 'cdp_lang'),
        'type'    => 'text',
        'options' => [
            'icon'    => '<i class="xbox-icon xbox-icon-user"></i>',
            'show_if' => ['cdp_tools_wpp_status', '=', 'true'],
        ],
        'grid'    => '2-of-8',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_tools_wpp_desc',
        'name'    => __('Tempo para Resposta:', 'cdp_lang'),
        'default' => __('Geralmente respondemos em poucos minutos.', 'cdp_lang'),
        'type'    => 'text',
        'options' => [
            'icon'    => '<i class="xbox-icon xbox-icon-hourglass-start"></i>',
            'show_if' => ['cdp_tools_wpp_status', '=', 'true'],
        ],
        'grid'    => '3-of-8 last',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_tools_wpp_image',
        'name'    => __('Foto do Atendente:', 'cdp_lang'),
        'type'    => 'file',
        'options' => [
            'mime_types' => ['jpg', 'jpeg', 'png'],
            'show_if'    => ['cdp_tools_wpp_status', '=', 'true'],
        ],
        'grid'    => '2-of-8',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_tools_wpp_button',
        'name'    => __('Texto do Botão:', 'cdp_lang'),
        'default' => __('Começar!', 'cdp_lang'),
        'type'    => 'text',
        'options' => [
            'icon'    => '<i class="xbox-icon xbox-icon-square"></i>',
            'show_if' => ['cdp_tools_wpp_status', '=', 'true'],
        ],
        'grid'    => '2-of-8',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_tools_wpp_bubble',
        'name'    => __('Texto do Balão:', 'cdp_lang'),
        'type'    => 'text',
        'options' => [
            'icon'    => '<i class="xbox-icon xbox-icon-comment"></i>',
            'show_if' => ['cdp_tools_wpp_status', '=', 'true'],
        ],
        'grid'    => '2-of-8',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_tools_wpp_position',
        'name'    => __('Posição:', 'cdp_lang'),
        'type'    => 'select',
        'default' => 'right',
        'items'   => [
            'left'   => __('Esquerda', 'cdp_lang'),
            'center' => __('Centro', 'cdp_lang'),
            'right'  => __('Direita', 'cdp_lang'),
        ],
        'options' => [
            'show_if' => ['cdp_tools_wpp_status', '=', 'true'],
        ],
        'grid'    => '2-of-8 last',
    ]);
    $xbox->add_field([
        'id'      => 'cdp_tools_wpp_message',
        'name'    => __('Messagem de Chamada:', 'cdp_lang'),
        'type'    => 'textarea',
        'options' => [
            'show_if' => ['cdp_tools_wpp_status', '=', 'true'],
        ],
        'grid'    => '4-of-8 last',
    ]);
    $xbox->close_mixed_field();

    $settings_tutorials = $xbox->add_section(['name' => __('Tutoriais de Utilização', 'cdp_lang')]);
    $settings_tutorials->open_mixed_field(['name' => __('', 'cdp_lang')]);
    $settings_tutorials->add_field([
        'id'      => rand(),
        'name'    => __('', 'cdp_lang'),
        'type'    => 'html',
        'content' => player_video('enmnlp3qMDA', 'youtube'),
        'grid'    => '3-of-6',
    ]);
    $settings_tutorials->close_mixed_field();
}
