<?php

// Coluna do Clonador
add_filter('manage_cdp_pages_posts_columns', 'cdp_column_register');
function cdp_column_register($columns)
{
    $columns["slug"] = __('Endereço da Página', 'cdp_lang');
    $columns["status"] = __('Status', 'cdp_lang');
    $columns["visit_count"] = __('Total de Acessos', 'cdp_lang');
    $columns["unique_visit_count"] = __('Acessos Únicos', 'cdp_lang');
    unset($columns['date']);
    return $columns;
}

add_action('manage_cdp_pages_posts_custom_column', 'cdp_column_content', 10, 2);
function cdp_column_content($colname, $post_id)
{
    if ($colname == 'slug') {
        echo '<pre class="pre-dark clipboard" data-clipboard-text="' . get_permalink($post_id) . '">' . get_permalink($post_id) . '</pre>';
    }
    if ($colname == 'status') {
        if (get_post_meta($post_id, 'cdp_page_active', true) == 'on') {
            echo '<a href="' . admin_url('edit.php?post_type=cdp_pages&post_id=' . $post_id . '&cdp_action=active_page') . '" class="status-active">' . __('Ativo', 'cdp_lang') . '</a>';
        } else {
            echo '<a href="' . admin_url('edit.php?post_type=cdp_pages&post_id=' . $post_id . '&cdp_action=active_page') . '" class="status-inactive">' . __('Inativo', 'cdp_lang') . '</a>';
        }
    }
    if ($colname == 'visit_count') {
        $visit_count = get_post_meta($post_id, 'visit_count', true);
        echo '<pre class="pre-dark">';
        echo ($visit_count) ? $visit_count : 0;
        echo "</pre>";
    }
    if ($colname == 'unique_visit_count') {
        $unique_visit_count = get_post_meta($post_id, 'unique_visit_count', true);
        echo '<pre class="pre-dark">';
        echo (!empty($unique_visit_count)) ? count($unique_visit_count) : 0;
        echo "</pre>";
    }
}

add_filter("get_pages", "cdp_pages_in_homepage", 10, 2);
function cdp_pages_in_homepage($pages, $r)
{
    if (isset($r['name']) && $r['name'] == 'page_on_front') {
        $args = ['post_type' => 'cdp_pages'];
        $items = get_posts($args);

        foreach ($items as $key => $item) {
            $item->post_title = 'CdP - ' . $item->post_title;
        }

        $pages = array_merge($pages, $items);
    }

    return $pages;
}

add_action('pre_get_posts', 'cdp_pages_in_homepage_get_page');
function cdp_pages_in_homepage_get_page($query)
{
    if (empty($query->query_vars['post_type'])) {
        $query->query_vars['post_type'] = ['page', 'cdp_pages'];
    }
}
