<?php

add_filter('page_template', function ($page_template) {
    global $post;

    error_reporting(E_ERROR | E_PARSE);

    $cdn_page_active = get_post_meta($post->ID, 'cdp_page_active', true);

    if ($cdn_page_active == 'on' && cdp_license_status()) {
        return DIR_CdP . 'panel/template.php';
    } elseif ($cdn_page_active == 'on' && !cdp_license_status()) {
        return DIR_CdP . 'assets/templates/inactive.php';
    } else {
        return $page_template;
    }
});

add_filter('single_template', 'cdp_page_template');
add_filter('template_include', 'cdp_page_template');

function cdp_page_template($original)
{
    global $post, $wp;

    if (!isset($post)) {
        if (!empty($wp->request)) {
            $slug_page = $wp->request;
        } elseif (!empty(basename(get_permalink()))) {
            $slug_page = basename(get_permalink());
        }

        $post = get_post(url_to_postid($slug_page));
    }

    if ($post->post_type == 'cdp_pages') {
        $cdn_page_active = get_post_meta($post->ID, 'cdp_page_active', true);

        if ($cdn_page_active == 'on' && cdp_license_status()) {
            return DIR_CdP . 'panel/template.php';
        } elseif ($cdn_page_active == 'on' && !cdp_license_status()) {
            return DIR_CdP . 'assets/templates/inactive.php';
        }
    }

    return $original;
}
