<?php

// Favicon
if ($page_favicon != '') {
    $page_favicon_script = "\n<script>
                (function() {
                        var link = document.querySelector(\"link[rel*='icon']\") || document.createElement('link');
                        link.type = 'image/png';
                        link.rel = 'shortcut icon';
                        link.href = '{$page_favicon}';
                        document.getElementsByTagName('head')[0].appendChild(link);
                })();
        </script>";

    $page_html = str_replace('</head>', "\n<link rel='shortcut icon' type='image/png' href='{$page_favicon}'/>" . '</head>', $page_html);
    $page_html = str_replace('</head>', "\n<link rel='icon' type='image/png' href='{$page_favicon}'/>" . '</head>', $page_html);
    $page_html = str_replace('</head>', "\n<link rel='apple-touch-icon' type='image/png' href='{$page_favicon}'/>" . '</head>', $page_html);
    $page_html = str_replace('</head>', $page_favicon_script . '</head>', $page_html);
}

// Inserir Estilo
$style_content = '<style>' . $page_css . '</style>' . $page_head;
$page_html = str_replace("</head>", "\n" . $style_content . "</head>", $page_html);

// Yellow Pencil
$style_content = '<style>' . get_post_meta($post->ID, '_wt_css', true) . '</style>';
$page_html = str_replace("</head>", "\n" . $style_content . "</head>", $page_html);

// Inserir Script
$script_content = '<script>' . $page_js . '</script>' . $page_footer;
$page_html = str_replace("</body>", "\n" . $script_content . "</body>", $page_html);

// Smooth Scrolling
$script_content = '<script>
const links = document.querySelectorAll("a");

for (const link of links) {
    link.addEventListener("click", clickSmoothScrolling);
}

function clickSmoothScrolling(e) {
    e.preventDefault();
    let href = this.getAttribute("href");

    if(href.includes("#")) {
        href = (href.split("#")[1]).split("?")[0];

        let offsetTop = document.getElementById(href.replace("#", "")).offsetTop;

        if (offsetTop != null){
            scroll({
                top: offsetTop,
                behavior: "smooth"
            });
        }
    } else {
        window.location.replace(href);
    }
}
</script>' . $page_footer;
$page_html = str_replace("</body>", "\n" . $script_content . "</body>", $page_html);

// Font Awesome
if ($page_fontawesome == 'on') {
    $page_html = str_replace('</head>', '<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css"></head>', $page_html);
    $page_html = str_replace('</head>', "\n<style>.fa::before, .far::before, .fas::before{font-family: 'Font Awesome 5 Free', FontAwesome !important;}</style></head>", $page_html);
    $page_html = str_replace('eicon', 'fas fa', $page_html);
}

// Substituições
foreach ($page_contents as $content) {
    $page_html = str_replace($content['cdp_content_input'], $content['cdp_content_output'], $page_html);
    $page_html = str_replace(htmlentities($content['cdp_content_input']), $content['cdp_content_output'], $page_html);
}
