<?php

/*
 * Ajusta Google Analytics
 */
if ($page_ga != "") {
    preg_match("/UA-[0-9]{5,}-[0-9]{1,}/", $page_html, $ga);
    if (isset($ga[0]) && $ga[0] != $page_ga) {
        $page_html = str_replace($ga[0], $page_ga, $page_html);
    } else {
        $ga = "<script async src='https://www.googletagmanager.com/gtag/js?id=" . $page_ga . "'></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
            gtag('config', '" . $page_ga . "');
        </script>";
        $page_html = str_replace("</body>", "\n" . $ga . "</body>", $page_html);
    }
}

/*
 * Ajusta Tag Manager
 */
if ($page_gtm != "") {
    preg_match("/GTM-[aA0-zZ9]{7}/", $page_html, $tm);
    if (isset($tm[0]) && $tm[0] != "") {
        $page_html = str_replace($tm[0], $page_gtm, $page_html);
    } else {
        $tm = "<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],j=d.createElements),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src='https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);})(window,document,'script','dataLayer','" . $page_gtm . "');</script>";
        $page_html = str_replace("</head>", "\n" . $tm . "</head>", $page_html);
        $tm = '<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=' . $page_gtm . '" height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>';
        $page_html = str_replace("</body>", "\n" . $tm . "</body>", $page_html);
    }
}

/*
 * Facebook Pixels
 */
if ($page_pfb != "") {
/*
 * Substitui os padrões do Facebook
 */
    $patterns = [
        "/fbq\('init', *'[0-9]{15,}'\);/",
        "/facebook\.com\/tr\?id=[0-9]{15,}/",
        "/facebook.net\/signals\/config\/[0-9]{15,}/",
    ];

    $replacements = [
        "fbq('init', '" . $page_pfb . "');",
        "facebook.com/tr?id=" . $page_pfb,
        "facebook.net/signals/config/" . $page_pfb,
    ];

    $page_html = preg_replace($patterns, $replacements, $page_html);

/*
 * Busca se existe script do Facebook
 */
    if ( ! str_contains($page_html, "fbq('init'")) {
        $facebook_pixel = "<script>
        // PCdP - Facebook Pixel Add
        !function(f,b,e,v,n,t,s)
        {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
        n.callMethod.apply(n,arguments):n.queue.push(arguments)};
        if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
        n.queue=[];t=b.createElement(e);t.async=!0;
        t.src=v;s=b.getElementsByTagName(e)[0];
        s.parentNode.insertBefore(t,s)}(window, document,'script',
        'https://connect.facebook.net/en_US/fbevents.js');
        fbq('init', '" . $page_pfb . "');
        fbq('track', 'PageView');
    </script>
    <noscript>
        <img height='1' width='1' style='display:none' src='https://www.facebook.com/tr?id=" . $page_pfb . "&ev=PageView&noscript=1'/>
    </noscript>";
        $page_html = str_replace("</head>", "\n" . $facebook_pixel . "</head>", $page_html);
    }

/*
 * Adiciona o evento no rodapé
 */

    if ($page_pfb_event == 'custom') {
        $page_pfb_event = $page_pfb_event_custom;
    } elseif ( ! empty($page_pfb_event)) {
        $page_pfb_event = "fbq('track','{$page_pfb_event}');";
    }

    if (isset($page_pfb_event)) {
        $page_pfb_event = str_replace(["\r", "\n", "\t"], '', $page_pfb_event);
        $facebook_events = "\n<script type='text/javascript'>
        // PCdP - Facebook Events Add
        " . $page_pfb_event . "
    </script>";
        $page_html = str_replace("</body>", $facebook_events . "</body>", $page_html);
    }
}
