<?php

if (current_user_can('manage_options')) {
    // Yellow Pencil
    $admin_head = "<style>.yp-yellow-pencil .yp-selected { outline: #F1C340 dotted thick !important; }</style>";
    $page_html = str_replace("</head>", "\n" . $admin_head . "</head>", $page_html);

    if (isset($_GET['cdp_editor']) && $_GET['cdp_editor'] == 'true') {
        /*
        Medium
         */
        $admin_header = "
            <![CDATA[PCDP_EDITOR_CODE]]>
            <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css'>
            <link rel='stylesheet' href='https://cdn.jsdelivr.net/npm/medium-editor@latest/dist/css/medium-editor.min.css' type='text/css' media='screen' charset='utf-8'>
            <link rel='stylesheet' href='https://cdn.jsdelivr.net/npm/medium-editor@latest/dist/css/themes/beagle.css' type='text/css' media='screen' charset='utf-8'>
            <script src='https://cdn.jsdelivr.net/npm/medium-editor@latest/dist/js/medium-editor.min.js'></script>

            <link rel='stylesheet' href='https://unpkg.com/tippy.js@6.2.3/themes/light.css'>
            <script src='https://unpkg.com/@popperjs/core@2'></script>
            <script src='https://unpkg.com/tippy.js@6'></script>

            <link rel='stylesheet' href='https://cdn.jsdelivr.net/npm/izitoast@1.4.0/dist/css/iziToast.min.css'>
            <script src='https://cdn.jsdelivr.net/npm/izitoast@1.4.0/dist/js/iziToast.min.js'></script>

            <script>
                if(typeof jQuery=='undefined') {
                    var headTag = document.getElementsByTagName('head')[0];
                    var add_jQuery = document.createElement('script');
                    add_jQuery.type = 'text/javascript';
                    add_jQuery.src = 'https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js';
                    add_jQuery.onload = cdp_editor_visual;
                    headTag.appendChild(add_jQuery);
                } else {
                    cdp_editor_visual();
                }

                function getStringAfterSubstring(parentString, substring) {
                    return parentString.substring(parentString.indexOf(substring) + substring.length)
                }

                function getStringBeforeSubstring(parentString, substring) {
                    return parentString.substring(0, parentString.indexOf(substring))
                }

                var editor = undefined;
                var editor_img = undefined;
                var editor_button = undefined;

                function editorChange(id, input, type) {
                    if (type == 'src') {
                        jQuery('[img-editor-id=\"' + id + '\"]').attr('src', input.value);
                        jQuery('[img-editor-id=\"' + id + '\"]').attr('srcset', input.value);
                    }
                    if (type == 'alt') {
                        jQuery('[img-editor-id=\"' + id + '\"]').attr('alt', input.value);
                    }
                    if (type == 'width') {
                        jQuery('[img-editor-id=\"' + id + '\"]').css('width', input.value);
                        jQuery('[img-editor-id=\"' + id + '\"]').parent().css('width', input.value);
                        jQuery('[img-editor-id=\"' + id + '\"]').parent().parent().css('width', input.value);
                    }
                    if (type == 'height') {
                        jQuery('[img-editor-id=\"' + id + '\"]').css('height', input.value);
                        jQuery('[img-editor-id=\"' + id + '\"]').parent().css('height', input.value);
                        jQuery('[img-editor-id=\"' + id + '\"]').parent().parent().css('height', input.value);
                    }
                    if (type == 'href') {
                        jQuery('[button-editor-id=\"' + id + '\"]').attr('editorhref', input.value).removeClass('tve-jump-scroll');
                    }
                    if (type == 'target') {
                        jQuery('[button-editor-id=\"' + id + '\"]').attr('temptarget', input.value);
                    }
                    if (type == 'action') {
                        jQuery('[form-editor-id=\"' + id + '\"]').attr('action', input.value);
                    }
                    if (type == 'name') {
                        jQuery('[form-editor-id=\"' + id + '\"]').attr('name', input.value);
                    }
                }
                function getPageHTML() {
                    return '<!DOCTYPE html><html>' + jQuery('html').html() + '</html>';
                }
                function cdp_editor_submit() {
                    editor.destroy();
                    jQuery.each(editor_img, function( i, val ) {
                        val.reference.removeAttribute('button-editor-id');
                        val.reference.classList.remove('cdp_editor_img');
                        if (val.reference.parentElement != null) {
                            val.reference.parentElement.style.overflow = val.reference.parentElement.getAttribute('tempoverflow');
                            val.reference.parentElement.removeAttribute('tempoverflow');
                        }
                        val.destroy();
                    });
                    jQuery.each(editor_button, function( i, val ) {
                        val.reference.href = val.reference.getAttribute('editorhref');
                        val.reference.target = val.reference.getAttribute('temptarget');
                        val.reference.removeAttribute('temptarget');
                        val.reference.removeAttribute('button-editor-id');
                        val.reference.removeAttribute('editorhref');
                        val.reference.classList.remove('cdp_editor_button');
                        val.destroy();
                    });
                    jQuery('.editor_cdp').removeClass('editor_cdp');
                    jQuery('.cdp_editor_img').removeClass('cdp_editor_img');
                    jQuery('.cdp_editor_button').removeClass('cdp_editor_button');
                    var content_html = getPageHTML();
                    content_html = getStringBeforeSubstring(content_html, '<!--[CDATA[' + 'PCDP_EDITOR_CODE' + ']]-->') + getStringAfterSubstring(content_html, '<!--[CDATA[' + 'PCDP_EDITOR_CODE_END' + ']]-->');
                    content_html = getStringBeforeSubstring(content_html, '<!--[CDATA[' + 'PCDP_EDITOR_BUTTON' + ']]-->') + getStringAfterSubstring(content_html, '<!--[CDATA[' + 'PCDP_EDITOR_BUTTON_END' + ']]-->');

                    jQuery.ajax({
                        url: '" . get_rest_url() . "cdp/v1/page-save',
                        type: 'POST',
                        data: {
                            post_id: '" . $post->ID . "',
                            page_html: content_html
                        },
                        success: function(response) {
                            if(response.response) {
                                iziToast.success({
                                    title: '" . __('Conteúdo Salvo!', 'cdp_lang') . "',
                                    position: 'center',
                                    timeout: 4000,
                                    layout: 2,
                                    progressBar: false,
                                    pauseOnHover: false,
                                    close: false,
                                    overlay: true,
                                    message: '" . __('A página irá recarregar em instantes...', 'cdp_lang') . "',
                                    onClosed: function(instance, toast, closedBy){
                                        window.location.replace('" . get_permalink($post->ID) . "');
                                    }
                                });
                            } else {
                                iziToast.error({
                                    title: '" . __('Falha ao Salvar Alterações!', 'cdp_lang') . "',
                                    position: 'center',
                                    timeout: 4000,
                                    layout: 2,
                                    progressBar: false,
                                    pauseOnHover: false,
                                    close: false,
                                    overlay: true,
                                    message: '" . __('A página irá recarregar em instantes...', 'cdp_lang') . "',
                                });
                            }
                        }
                    });
                }
                function cdp_editor_visual() {
                    jQuery(document).ready(function($) {
                        iziToast.success({
                            title: '" . __('Editor de Conteúdo!', 'cdp_lang') . "',
                            message: '" . __('Ativando o editor, aguarde uns segundos...', 'cdp_lang') . "',
                            position: 'center',
                            timeout: 4000,
                            layout: 2,
                            progressBar: false,
                            pauseOnHover: false,
                            close: false,
                            overlay: true,
                            onOpened: function(instance, toast, closedBy) {
                                cdp_editor_images();
                                cdp_editor_buttons();
                                cdp_editor_texts();
                            }
                        });
                    });
                }
                function cdp_editor_images() {
                    jQuery('img:not(.cdp_not_editor)').addClass('cdp_editor_img');
                    jQuery('.cdp_editor_img').each(function( i, val ) {
                        let styles = getComputedStyle(val.parentElement);
                        val.parentElement.setAttribute('tempoverflow', styles.overflow);
                        val.parentElement.style.overflow = 'visible';
                    });
                    editor_img = tippy('.cdp_editor_img', {
                        content: 'Carregando...',
                        allowHTML: true,
                        followCursor: 'vertical',
                        trigger: 'click',
                        hideOnClick: 'toggle',
                        placement: 'bottom',
                        interactive: true,
                        maxWidth: 350,
                        theme: 'light',
                        onCreate(instance) {
                            let editor_id = Math.round(Math.random() * 99999);
                            instance.reference.setAttribute('img-editor-id', editor_id);
                            let title = '<b style=\"font-size: 16px;\">" . __('Edição de Imagem!', 'cdp_lang') . "</b><hr>';
                            let url = '<label>" . __('URL:', 'cdp_lang') . "</label> <input class=\"cdp_editor_input\" type=\"text\" value=\"' + instance.reference.src + '\" onchange=\"editorChange(\''+ editor_id +'\', this, \'src\')\"><hr>';
                            let alt = '<label>" . __('Título:', 'cdp_lang') . "</label> <input class=\"cdp_editor_input\" type=\"text\" value=\"' + instance.reference.alt + '\" onchange=\"editorChange(\''+ editor_id +'\', this, \'alt\')\"><hr>';
                            let width = '<label>" . __('Largura:', 'cdp_lang') . "</label> <input class=\"cdp_editor_input\" type=\"text\" value=\"' + instance.reference.width + 'px\" onchange=\"editorChange(\''+ editor_id +'\', this, \'width\')\"><hr>';
                            let height = '<label>" . __('Altura:', 'cdp_lang') . "</label> <input class=\"cdp_editor_input\" type=\"text\" value=\"' + instance.reference.height + 'px\" onchange=\"editorChange(\''+ editor_id +'\', this, \'height\')\">';
                            instance.setContent(title + url + alt + width + height);
                        },
                    });
                }
                function cdp_editor_buttons() {
                    jQuery('a').addClass('cdp_editor_button').parent().css('overflow', 'visible');
                    jQuery('.cdp_editor_button').each(function( i, val ) {
                        if (val.target != undefined) {
                            val.setAttribute('temptarget', val.getAttribute('target'));
                        }
                        val.target = '';
                    });
                    editor_button = tippy('.cdp_editor_button', {
                        content: 'Carregando...',
                        placement: 'top',
                        allowHTML: true,
                        trigger: 'click',
                        hideOnClick: 'toggle',
                        interactive: true,
                        maxWidth: 350,
                        theme: 'light',
                        onCreate(instance) {
                            let editor_id = Math.round(Math.random() * 99999);
                            let link_href = instance.reference.href;
                            let link_target = instance.reference.temptarget;
                            if (link_target == undefined) {
                                link_target = '';
                            }
                            instance.reference.setAttribute('button-editor-id', editor_id);
                            instance.reference.setAttribute('editorhref', link_href);
                            instance.reference.setAttribute('href', 'javascript:void(0);');
                            let title = '<b style=\"font-size: 16px;\">" . __('Edição de Botão!', 'cdp_lang') . "</b><hr>';
                            let href = '<label>" . __('URL:', 'cdp_lang') . "</label> <input class=\"cdp_editor_input\" type=\"text\" value=\"' + link_href + '\" onchange=\"editorChange(\''+ editor_id +'\', this, \'href\')\">';
                            let target = '<label>" . __('Alvo:', 'cdp_lang') . "</label> <input class=\"cdp_editor_input\" type=\"text\" value=\"' + link_target + '\" onchange=\"editorChange(\''+ editor_id +'\', this, \'target\')\">';
                            instance.setContent(title + href + target);
                        },
                    });
                }
                function cdp_editor_texts() {
                    jQuery('h1, h2, h3, h4, h5, h6').addClass('editor_cdp');
                    jQuery('p, li span').parent().addClass('editor_cdp');
                    editor = new MediumEditor('.editor_cdp', {
                        imageDragging: false,
                        static: true,
                        sticky: true,
                        buttonLabels: 'fontawesome',
                        toolbar: {
                            buttons: ['bold', 'italic', 'underline', 'justifyLeft', 'justifyCenter', 'justifyRight'],
                            // buttons: ['bold', 'italic', 'underline', 'justifyLeft', 'justifyCenter', 'justifyRight', 'anchor', 'unorderedlist', 'orderedlist', 'html'],
                        }
                    });
                }
            </script>
            <style>
                .cdp_editor_block {
                    position: fixed;
                    top: calc(50% - 75px);
                    left: 0;
                    background: #FFF;
                    max-width: 200px;
                    min-height: 150px;
                    z-index: 90000;
                    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
                    box-shadow: rgba(0,0,0,.20) 0 0 10px;
                    border-radius: 0 6px 6px 0;
                    padding: 15px 20px;
                    text-align: center;
                    display: flex;
                    align-items: center;
                }
                .cdp_editor_title {
                    display: block;
                    font-size: 16px;
                    font-weight: bold;
                    margin-bottom: 10px;
                    line-height: 1.5;
                    vertical-align: middle;
                }
                .cdp_editor_button_save {
                    width: 100%;
                    padding: 10px;
                    font-size: 14px;
                    font-weight: bold;
                    margin: 0 auto;
                    text-align: center;
                    display: block;
                    border-radius: 4px;
                    background: #00AA8C;
                    border: 0;
                    color: #FFF;
                    transition: all 0.25s ease;
                }
                .cdp_editor_button_save:hover {
                    transition: all 0.25s ease;
                    background: #26806F;
                }
                .tippy-content {
                    font-size: 12px;
                    font-family: Helvetica, sans-serif;
                }
                .tippy-content label {
                    width: 25%;
                    display: inline-block;
                }
                .cdp_editor_input {
                    width: 73%;
                    display: inline-block;
                    font-size: 12px;
                    font-family: Helvetica, sans-serif;
                    padding: 5px 10px;
                    border-radius: 4px;
                    border: 1px solid #ccc;
                    margin: 5px 0 !important;
                    box-sizing: border-box;
                }
            </style>
            <![CDATA[PCDP_EDITOR_CODE_END]]>
        ";
        $admin_footer = "
            <![CDATA[PCDP_EDITOR_BUTTON]]>
            <div class='cdp_editor_block'>
                <div>
                    <img src='" . get_cdp_image('pcdp-logo-hor-color.svg') . "' style='width: 80%; margin: 0 auto 10px; display: block;' class='cdp_not_editor'>
                    <div class='cdp_editor_title'>" . __('Editor de Conteúdo', 'cdp_lang') . "</div>
                    <button class='cdp_editor_button_save' onclick='cdp_editor_submit()'>" . __('Salvar Alterações!', 'cdp_lang') . "</button>
                </div>
            </div>
            <![CDATA[PCDP_EDITOR_BUTTON_END]]>
        ";
        $page_html = str_replace("</head>", "\n" . $admin_header . "</head>", $page_html);
        $page_html = str_replace("</body>", "\n" . $admin_footer . "</body>", $page_html);
    }
}
